# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.api.scorecards_api import ScorecardsApi


class TestScorecardsApi(unittest.IsolatedAsyncioTestCase):
    """ScorecardsApi unit test stubs"""

    async def asyncSetUp(self) -> None:
        self.api = ScorecardsApi()

    async def asyncTearDown(self) -> None:
        await self.api.api_client.close()

    async def test_create_scorecard_api_v1_scorecards_post(self) -> None:
        """Test case for create_scorecard_api_v1_scorecards_post

        Create Scorecard
        """
        pass

    async def test_delete_scorecard_api_v1_scorecards_id_delete(self) -> None:
        """Test case for delete_scorecard_api_v1_scorecards_id_delete

        Delete Scorecard
        """
        pass

    async def test_evaluate_scorecard_api_v1_scorecards_id_evaluate_post(self) -> None:
        """Test case for evaluate_scorecard_api_v1_scorecards_id_evaluate_post

        Evaluate Scorecard
        """
        pass

    async def test_get_scorecard_api_v1_scorecards_id_get(self) -> None:
        """Test case for get_scorecard_api_v1_scorecards_id_get

        Get Scorecard
        """
        pass

    async def test_get_scorecard_insights_api_v1_scorecards_id_insights_get(self) -> None:
        """Test case for get_scorecard_insights_api_v1_scorecards_id_insights_get

        Get Scorecard Insights
        """
        pass

    async def test_get_scorecard_insights_by_entity_api_v1_scorecards_insights_get(self) -> None:
        """Test case for get_scorecard_insights_by_entity_api_v1_scorecards_insights_get

        Get Scorecard Insights By Entity
        """
        pass

    async def test_get_scorecard_results_api_v1_scorecards_results_get(self) -> None:
        """Test case for get_scorecard_results_api_v1_scorecards_results_get

        Get Scorecard Results
        """
        pass

    async def test_get_scorecard_results_by_scorecard_api_v1_scorecards_id_results_get(self) -> None:
        """Test case for get_scorecard_results_by_scorecard_api_v1_scorecards_id_results_get

        Get Scorecard Results By Scorecard
        """
        pass

    async def test_get_scorecards_api_v1_scorecards_get(self) -> None:
        """Test case for get_scorecards_api_v1_scorecards_get

        Get Scorecards
        """
        pass

    async def test_update_scorecard_result_api_v1_scorecards_results_post(self) -> None:
        """Test case for update_scorecard_result_api_v1_scorecards_results_post

        Update Scorecard Result
        """
        pass

    async def test_upsert_scorecard_api_v1_scorecards_id_put(self) -> None:
        """Test case for upsert_scorecard_api_v1_scorecards_id_put

        Upsert Scorecard
        """
        pass


if __name__ == '__main__':
    unittest.main()
